# API reference

### Methods

This section lists the public methods the LiSA Content Hub exposes.

destroy()

Remove all markup injected by LiSA Content hub and unregister all event listeners.

**Usage example:**

```
window.LiSA.library.destroy();
```

reInit()

Re-initialize the LiSA Content Hub with all its registered configurations.

**Usage example:**

```
window.LiSA.library.reInit();
```

### Components

The LiSA Content Hub exposes a set of components which also allow for customization of the behaviour of the Content Hub. Please see the API references for each of the components:

Library API reference

Player API reference

Quick View API reference


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hello-lisa.com/developers/widgets/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
